<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Baja extends Model
{
    use HasFactory;
    protected $table = 'bajas';

    protected $fillable = [
        'descripcion',
    ];

    //tiene una

    public function cliente()
    {
        return $this->hasOne(Cliente::class, 'baja_id', 'id');
    }

    public function profesional() 
    {
        return $this->hasOne(Profesional::class, 'baja_id', 'id');
    }

}
